usage:
	@echo ""
	@echo "usage:"
	@echo ""
	@echo "* make install    -- to install dotfiles"
	@echo "* make reinstall  -- to reinstall & prune obsolete symlinks"
	@echo "* make delete     -- to delete dotfiles"
	@echo "* make update     -- get latest version from gitlab"
	@echo ""

install:
	mkdir -p ~/.config

	stow git
	stow imapfilter
	stow mbsync
	stow msmtp
	stow mutt
	stow notmuch
	stow nvim
	stow tmux
	stow fish
	stow alacritty

reinstall:

	stow -R git
	stow -R imapfilter
	stow -R mbsync
	stow -R msmtp
	stow -R mutt
	stow -R notmuch
	stow -R nvim
	stow -R tmux
	stow -R fish
	stow -R alacritty

delete:

	stow -D git
	stow -D imapfilter
	stow -D mbsync
	stow -D msmtp
	stow -D mutt
	stow -D notmuch
	stow -D nvim
	stow -D tmux
	stow -D fish
	stow -D alacritty

update:

	git pull --verbose
	git submodule update --init --recursive

all:
	usage
